%global pypi_name flit-scm
%global uname flit_scm

Name:           python-flit-scm
Version:        1.7.0
Release:        %mkrel 5
Summary:        PEP 518 build backend using setuptools_scm and flit
License:        MIT
Group:          Development/Python
URL:            https://gitlab.com/WillDaSilva/flit_scm
Source:         https://files.pythonhosted.org/packages/source/f/flit_scm/flit_scm-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A PEP 518 build backend that uses setuptools_scm to generate a version file
from your version control system, then flit to build the package.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A PEP 518 build backend that uses setuptools_scm to generate a version file
from your version control system, then flit to build the package.

%prep
%autosetup -p1 -n %{uname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{uname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.7.0-5.mga10
+ Revision: 2238341
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 1.7.0-4.mga10
+ Revision: 2155058
- rebuild for python 3.13

* Thu Dec 28 2023 papoteur <papoteur> 1.7.0-3.mga10
+ Revision: 2023019
- rebuild again for python 3.12

* Sun Dec 10 2023 wally <wally> 1.7.0-2.mga10
+ Revision: 2016960
- rebuild for py3.12
- use pyproject rpm macros

* Sat Nov 26 2022 papoteur <papoteur> 1.7.0-1.mga9
+ Revision: 1911226
- imported package python-flit-scm

